VDS(4)

NAME
vds, vdsp - virtual disk server

SYNOPSIS
vds* at cbus?
vdsp* at vds?

DESCRIPTION
The vds driver provides a virtual disk server using the services provided by the UltraSPARC Hypervisor as found on sun4v systems. It provides the backing storage for virtual disks in other logical domains through a logical domain channel provided by the UltraSPARC Hypervisor. The vds driver uses block devices or disk images in the form of regular files. The name of the block device or file used for the disk image is taken from the domain's machine description.

The vds driver supports version 1.0 and version 1.1 of the vDisk protocol.

SEE ALSO
cbus(4), intro(4), vdsk(4)

HISTORY
The vds driver first appeared in OpenBSD 4.7.

AUTHORS
The vds driver was written by Mark Kettenis <kettenis@openbsd.org>.